Subject: bug#7434: When an incorrect option is used before --help/--version, automake behaviour is inconsistent with that of other GNU programs.

From: Stefano Lattarini <[email-masked]>
Date: Fri, 26 Nov 2010 18:41:20 +0100

Hi Ralf, Eric, and all bug-automake readers.

On Friday 19 November 2010, Stefano Lattarini wrote:
> On Thursday 18 November 2010, Stefano Lattarini wrote:
> > On Thursday 18 November 2010, Ralf Wildenhues wrote:
> >
> > > I think --help should work whereever it is put on a command line,
> > > except after -- or right after an option which requires an argument
> >
> > I disagree; that would complicate the implementation without providing
> > any real advantage for the users IMHO.
> > 
> > > The point being that I type
> > > 
> > > $ foo --zork --barf
> > > foo: blabla error, see --help
> > > 
> > > and then type <up><space>--help<enter> to find out more.
> > Or type <up><ctrl-a><alt-f><space>--help<enter> to find out more.
> > Or even type "foo --help" to find out more.  These are not much
> > more complex or lacking in usability, IMHO.
> >
> Besides, in the particular case of automake, how often do automake
> or aclocal get invoked directly?  To my experience, they are almost
> always invoked by autoreconf, ./bootstrap, or some custom autogen.sh
> script.
>   
> > > Let's address this on bug-standards before changing any programs.
>
Now a decision has been reached on bug-standards *not* to tighten the
specification about the behaviour of --help and --version:
 <http://lists.gnu.org/archive/html/bug-standards/2010-11/msg00010.html>

Considering that, do you agree to simplify the automake/aclocal option
parsing by not trying to process --help/--version options encountered
after invalid options?

Regards,
   Stefano